<?php



/**



 * SensFRX Main Class of App



 *



 */



namespace SensFRX\OrderUpdate;



use SensFRX\Common\ApiCalls;



/**



 * Class OrderUpdate



 *



 * @package OrderUpdate



 */



class OrderUpdateLogs {



	private $objAPI;



	public function __construct($objAPI) {



		$this->objAPI = $objAPI;



	}



	public function orderUpdateLog($orderUpdateEvent, $orderOex, $deviceId = null, $ordertfs = array()) {



		$method = 'POST';



		$url = '/update-order';



		$data = array(



			'ev'  => $orderUpdateEvent,



			'dID' => $deviceId,



			'oex' => $orderOex,



			'tfs' => $ordertfs



		);



		return $this->objAPI->callAPI($method, $url, $data);



	}



}



